This is a Laravel 5 package that provides j2 management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `j/j2`.

    "j/j2": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
J\J2\Providers\J2ServiceProvider::class,

```

And also add it to alias

```php
'J2'  => J\J2\Facades\J2::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="J\J2\Providers\J2ServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="J\J2\Providers\J2ServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="J\J2\Providers\J2ServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="J\J2\Providers\J2ServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="J\J2\Providers\J2ServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="J\J2\Providers\J2ServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


